// メニューボタン定数 
var NAM_MENU = new Array(
	"勤怠入力",
	"スケジュール",
	"有休確認",
	"パスワード変更"
); 

var CMD_MENU = new Array(
	"K1010",
	"K1200",
	"K1300",
	"C1050"
);

/**
 * 画面読込時追加処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function onLoadExtra() {
	setMenu();
}

/**
 * メニュー設定
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function setMenu() {
	setInnerHtml(getObject("0"), NAM_MENU[0]);
	for (var i = 1; i < NAM_MENU.length; i++) {
		var obj = copyObject("0", new String(i));
		setInnerHtml(obj, NAM_MENU[i]);
	}
}

/**
 * メニューボタン押下時処理
 * @param idx メニューインデックス
 * @return 無し
 * @throws 実行時例外
 */
function clickMenu(idx) {
	doSubmit(document.form, CMD_MENU[idx]);
}

/**
 * オブジェクトコピー
 * @param fromId コピー元オブジェクトID
 * @param toId   コピーオブジェクトID
 * @return コピーオブジェクト
 * @throws 実行時例外
 */
function copyObject(fromId, toId) {
	var target = getObject(fromId);
	var clone  = target.cloneNode(true);
	clone.id = toId;
	target.parentNode.insertBefore(clone, null);
	return clone;
}
